using System;
using FreshMvvm;
using FreshMVVMSFDataGrid.Mapping;
using FreshMVVMSFDataGrid.ViewModel;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

[assembly: XamlCompilation (XamlCompilationOptions.Compile)]
namespace FreshMVVMSFDataGrid
{
	public partial class App : Application
	{
		public App ()
		{
			InitializeComponent();
		    FreshPageModelResolver.PageModelMapper = new ModelMapper();
            SetupNavigation();
        }

	    private void SetupNavigation()
	    {
	        FreshMasterDetailNavigationContainer masterDetail = new FreshMasterDetailNavigationContainer();
	        masterDetail.AddPage<StartViewModel>("Start");
	        masterDetail.AddPage<OtherViewModel>("Other");
	        masterDetail.Init("Menu");
	        MainPage = masterDetail;
	    }

        protected override void OnStart ()
		{
			// Handle when your app starts
		}

		protected override void OnSleep ()
		{
			// Handle when your app sleeps
		}

		protected override void OnResume ()
		{
			// Handle when your app resumes
		}
	}
}
