﻿using System;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace FreshMVVMSFDataGrid.ViewModel
{
    public class RotatorPage1ViewModel : TemplateViewModelBase
    {
        public string Name
        {
            get;
            set;
        }

        public string Description
        {
            get;
            set;
        }

        public int PageNumber
        {
            get;
            set;
        }

        public string BackgroundColor
        {
            get;
            set;
        }

        public StackLayout Template
        {
            get
            {
                return CreateTemplate(this);
            }
        }

        public override void Init(object initData)
        {
            // This is not hit...
            base.Init(initData);
            Debug.WriteLine("In Init...");
        }

        protected override void ViewIsDisappearing(object sender, EventArgs e)
        {
            // This is not hit...
            base.ViewIsDisappearing(sender, e);
            Debug.WriteLine("In ViewIsDisappearing...");
        }

        public Command ShowPopUpClickedCommand
        {
            get
            {
                return new Command(async () =>
                {
                    // Exception as CoreMmethods is null...
                    //await CoreMethods.DisplayAlert("Hello...", "Testing...", "Cancel");
                });
            }
        }

        //protected override void OnAppearing()
        //{
        //    base.OnAppearing();
        //}

        //protected override void OnDisappearing()
        //{
        //    base.OnDisappearing();
        //}


        public Command NextPageClickedCommand
        {
            get
            {
                return new Command(async () =>
                {
                    MessagingCenter.Send(this, "NextPageClickedCommand");
                });
            }
        }


    }
}