﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using FreshMvvm;
using Xamarin.Forms;

namespace FreshMVVMSFDataGrid.ViewModel
{
    public class StartViewModel : FreshBasePageModel
    {

        public Command StartCommand
        {
            get
            {
                return new Command(async () =>
                {
                    await CreatePopUpContainerAsync();
                });
            }
        }

        private async Task CreatePopUpContainerAsync()
        {
            FreshTabbedNavigationContainer tabbedNavigation =
                new FreshTabbedNavigationContainer("Tabs");
            tabbedNavigation.AddTab<RotatorViewModel>("Rotator", "", null);
            tabbedNavigation.AddTab<InputsViewModel>("Inputs", "", null);
            tabbedNavigation.AddTab<ChartViewModel>("Chart", "", null);
            tabbedNavigation.AddTab<GridViewModel>("Grid", "", null);
            await CoreMethods.PushNewNavigationServiceModal(tabbedNavigation);
        }
    }
}
